package com.zcloud.service.bus;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业运维管理
 * 作者：limingyu
 * 时间：2023-07-19
 */
public interface MaintenanceManagementService {
    /**
     * 运维管理-维护提交
     * @return
     * @throws Exception
     */
    void save(PageData maintenanceInfo) throws Exception;

    /**
     * 运维管理-停用提交
     * @return
     * @throws Exception
     */
    void update(PageData pd) throws Exception;

    void updateEnable(PageData pd) throws Exception;

    /**
     * 获取当前企业维护记录
     * @return
     * @throws Exception
     */
    List<PageData> getMaintenanceLogList(PageData pd);
}
